\( \newcommand{\E}{\mathrm{E}} \) \( \newcommand{\A}{\mathrm{A}} \) \( \newcommand{\R}{\mathrm{R}} \) \( \newcommand{\N}{\mathrm{N}} \) \( \newcommand{\Q}{\mathrm{Q}} \) \( \newcommand{\Z}{\mathrm{Z}} \) \( \def\ccSum #1#2#3{ \sum_{#1}^{#2}{#3} } \def\ccProd #1#2#3{ \sum_{#1}^{#2}{#3} }\)

CGAL 4.8 - 3D Boolean Operations on Nef Polyhedra

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
Classes | Functions
CGAL Namespace Reference

## Classes
class | Nef_nary_union_3
| This class helps to perform the union of a set of 3D Nef polyhedra efficiently. More...
class | Nef_polyhedron_3
| A 3D Nef polyhedron is a subset of the 3-dimensional space that is the result of forming complements and intersections starting from a finite set `H` of 3-dimensional halfspaces. More...

## Functions
template<class Traits >
istream & | operator>> (std::istream &in, CGAL::Nef_polyhedron_3< Traits > &N)
| This operator reads a Nef polyhedron, which is given in the proprietary file format written by the input operator in and assigns it to N. More...
template<class Traits >
ostream & | operator<< (std::ostream &out, CGAL::Nef_polyhedron_3< Traits > &N)
| This operator writes the Nef polyhedron `N` to the output stream `out` using a proprietary file format. More...
template<class Nef_polyhedron_3 >
std::size_t | OFF_to_nef_3 (std::istream &in, Nef_polyhedron_3 &N)
| This function creates a 3D Nef polyhedron from an OFF file which is read from input stream `in`. More...